#!/bin/bash

# Authors: Silian Della Ragione
#          Andres Gomez Garcia <agomez@igalia.com>
# Version: 0.0.2
# License GNU/GPL
############################################################################
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
############################################################################

GAJIM_REMOTE=/usr/bin/gajim-remote
GAIM_REMOTE=/usr/bin/gaim-remote

# if [ ! -f "${GAJIM_REMOTE}" ]; then
#     exit -1
# fi

case ${LANG} in
    C)
        HEAD_MESSAGE="Listening:"
        ;;
    es_ES@euro)
        HEAD_MESSAGE="Escuchando:"
        ;;
    *)
        HEAD_MESSAGE="Listening:"
        ;;
esac

while [ 1 ]; do
   read NOTIFICATION || exit

   if [ "x${NOTIFICATION}" == "xtrackChange" ]; then
      ARTIST=`dcop amarok player artist`
      ALBUM=`dcop amarok player album`
      TITLE=`dcop amarok player title`

      MESSAGE="${HEAD_MESSAGE} ${ARTIST} - ${ALBUM} - ${TITLE}"

      if [ -x "${GAJIM_REMOTE}" ]; then
          ACCOUNTS=`${GAJIM_REMOTE} list_accounts`
          if [ "${?}" = "0" ]; then
              for ACCOUNT in ${ACCOUNTS}; do
                  STATUS=`${GAJIM_REMOTE} get_status ${ACCOUNT}`
                  if [ ! "${STATUS}" = "offline" ]; then
                      ${GAJIM_REMOTE} change_status "${STATUS}" "${MESSAGE}" "${ACCOUNT}"
                  fi
              done
          fi
      fi

      if [ -x "${GAIM_REMOTE}" ]; then
          ${GAIM_REMOTE} "setstatus?message=${MESSAGE}"
      fi
   fi
done
